<!-- templates/home.html -->
{% extends 'base.html' %}

{% block title %}Session : {{ session.session_name }}{% endblock %}
{% block titlePage %}{{ session.session_name }}{% endblock %}

{% block breadcrumbs %}
<li class="page-item"><a href="{% url 'home' %}" class="page-link"><span class="mif-list"></span></a></li>
<li class="page-item"><a href="{% url 'gestion_projets:session_list' %}" class="page-link">Sessions</a></li>
<li class="page-item"><a href="{% url 'gestion_projets:session_view' pk=session.id %}" class="page-link">{{ session.session_name }}</a></li>
{% endblock %}

{% block menu %}
    {% include "includes/menu.html" with active_tab='tab1' %}
{% endblock %}

{% block content %}

<div class="m-3">
    <div class="panel mt-4" >

        {% if error_message %}<p><strong>{{ error_message }}</strong></p>{% endif %}

        <div class="row p-5">
            <div class="cell-lg-2"><div><b>Description :</b></div></div>
            <div class="cell-lg-10"><div>{{ session.description|safe }}</div></div>
        </div>
    </div>
</div>

<div class="m-3">
    <div class="panel mt-4" >

        <div class="row p-5">
            <div class="cell-lg-6"><div><p><b>Date de début :</b> {{ session.session_start }}</p></div></div>
            <div class="cell-lg-6"><div><p><b>Date de fin :</b> {{ session.session_end }}</p></div></div>
        </div>

        <div class="p-5" data-role="stepper" data-steps="4" data-step="{{ session.phase }}"></div>

        <div class="row">
            <div class="cell-2 text-left p-5">Sujets</div><div class="cell-4 text-center">Groupes</div>
            <div class="cell-4 text-center">Réalisation</div><div class="cell-2 text-right p-5">Fin</div>
        </div>
    </div>
</div>

<div class="m-3">
    <div class="panel mt-4" >

        {% if session.phase == 0 %}
        <h2><center><br><br>La session va bientôt commencer<br><br></center></h2>

        <!-- Phase 1 : Collecte des sujets ----------------------->
        {% elif session.phase == 1 %}
        {% include "includes/phase1.html" %}

        <!-- Phase 2 : Création des projets : groupes/sujets ----->
        {% elif session.phase == 2 %}
        {% include "includes/phase2.html" %}

        <!-- Phase 3 : Réalisation du projet --------------------->
        {% elif session.phase == 3 %}
        {% include "includes/phase3.html" %}

        <!-- Phase 4 : Fin du projet ----------------------------->
        {% elif session.phase == 4 %}
        {% include "includes/phase4.html" %}

        {% endif %}
    </div>
</div>
{% endblock %}
